{
  "compilerOptions": {
    "target": "ES2022",
    "module": "ESNext",
    "lib": [
      "ES2022"
    ],
    "moduleResolution": "Bundler",
    "resolveJsonModule": true,
    "allowJs": false,
    "strict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noFallthroughCasesInSwitch": true,
    "noUncheckedIndexedAccess": true,
    "allowSyntheticDefaultImports": true,
    "esModuleInterop": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "jsx": "preserve",
    "baseUrl": ".",
    "paths": {
      "@/*": [
        "./src/*"
      ],
      "@payload-config": [
        "./src/payload.config"
      ]
    },
    "plugins": [
      {
        "name": "next"
      }
    ],
    "noEmit": true,
    "incremental": true,
    "isolatedModules": true
  },
  "include": [
    "src/**/*",
    "next.config.js",
    ".next/types/**/*.ts"
  ],
  "exclude": [
    "node_modules",
    ".next",
    "dist",
    "tests/**/*",
    "**/__tests__/**/*",
    "**/*.spec.ts",
    "**/*.test.ts",
    "vitest.config.mts",
    "playwright.config.ts"
  ]
}
